# Get a paginated response of all payouts optionally filtering on partner name and payout status

Returns the paginated response of all payouts

Endpoint: GET /v2/payouts
Version: 1.0.0
Security: oauth2

## Query parameters:

  - `partnerName` (string)

  - `payoutStatus` (string)
    a single transaction status or a comma separated list of transaction states

  - `ripplenetPaymentId` (string)
    ripplenetPaymentId of the associated transaction

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.payoutPartnerId` (string)
    The id of the payout partner

  - `content.payoutMethodId` (string)
    The id of the payout method

  - `content.transactionId` (string, required)
    The id of the transaction

  - `content.externalTransactionId` (string)
    The external id of the transaction at the venue.

  - `content.externalRequestId` (string)
    The external id of the request to execute the withdrawal. Ex. ODL_PAYMENT_ID or PRISMA_REQUEST_ID

  - `content.ripplenetPaymentId` (string)
    ripplenet_payment_id of the associated transaction

  - `content.payoutStatus` (string, required)
    Enum: "NOT_STARTED", "RETRYABLE", "PROCESSING", "DELIVERED", "DELIVERY_FAILED", "NO_INFORMATION_AVAILABLE"

  - `content.createdAt` (string)
    Date and time at which the request for payout was created, as an ISO-8601 timestamp in UTC.

  - `content.payoutDetails` (object)
    The object that holds details of the payout including source/destination currency, beneficiary amount
    Example: {"beneficiaryCurrency":"PHP","senderAmount":234567.89,"senderCurrency":"USD","fxRate":1.47289,"beneficiaryAmount":234567.89}

  - `content.payoutDetails.senderCurrency` (string)
    The sender/source currency
    Example: "USD"

  - `content.payoutDetails.beneficiaryCurrency` (string)
    The beneficiary/destination currency
    Example: "PHP"

  - `content.payoutDetails.senderAmount` (number)
    The optional amount in sender's currency
    Example: 234567.89

  - `content.payoutDetails.beneficiaryAmount` (number)
    The amount in beneficiary's currency
    Example: 234567.89

  - `content.payoutDetails.feeAmount` (number)
    The fee charged for this transaction
    Example: 2.5

  - `content.payoutDetails.feeCurrency` (string)
    The fee currency
    Example: "PHP"

  - `content.payoutDetails.fxRate` (number)
    The forex currency rate used in the transaction
    Example: 1.47289

  - `content.errors` (array)
    A list of payout errors

  - `content.errors.category` (string, required)
    Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE"

  - `content.errors.title` (string, required)

  - `content.errors.code` (string, required)

  - `content.errors.detail` (string, required)

  - `page` (object, required)
    Common object for holding page details

  - `page.size` (integer, required)

  - `page.totalElements` (integer, required)

  - `page.totalPages` (integer, required)

  - `page.number` (integer, required)

## Response 400 fields (application/problem+json):

  - `status` (integer, required)

  - `errors` (array, required)

  - `timestamp` (string)


